<?php

namespace App\City\Controller;

use Illuminate\Routing\Controller;
use App\City\Model\City as CityModel;
use App\Http\Response\Response;

class City extends Controller
{
    use \App\Traits\Controller;
    protected $query_fields = [
        "is_open","is_hot","previous","name"
    ];

    public function index()
    {
        $query = request()->query();
        $where = $this->filter($query);
        $model = $this->setBlurSearch(CityModel::class,$where,"name");
        return  Response::success($model->get()->toArray());
    }

}
